package com.zbkj.service.huifu.v2;

import com.alibaba.fastjson.annotation.JSONField;
import com.huifu.bspay.sdk.opps.core.enums.FunctionCodeEnum;
import com.huifu.bspay.sdk.opps.core.request.BaseRequest;

public class V2UserBasicdataEntModifySubRequest extends BaseRequest {

    @JSONField(
            name = "req_date"
    )
    private String reqDate;
    @JSONField(
            name = "req_seq_id"
    )
    private String reqSeqId;
    @JSONField(
            name = "huifu_id"
    )
    private String huifuId;

    @JSONField(
            name = "legal_cert_type"
    )
    private String legalCertType;
    @JSONField(
            name = "license_validity_type"
    )
    private String licenseValidityType;
    @JSONField(
            name = "legal_cert_validity_type"
    )
    private String legalCertValidityType;

    @JSONField(
            name = "license_begin_date"
    )
    private String licenseBeginDate;
    @JSONField(
            name = "license_end_date"
    )
    private String licenseEndDate;
    @JSONField(
            name = "legal_cert_no"
    )
    private String legalCertNo;
    @JSONField(
            name = "legal_cert_begin_date"
    )
    private String legalCertBeginDate;
    @JSONField(
            name = "legal_cert_end_date"
    )
    private String legalCertEndDate;
    @JSONField(
            name = "legal_name"
    )
    private String legalName;


    public V2UserBasicdataEntModifySubRequest(String reqDate, String reqSeqId, String huifuId, String legalCertType, String licenseValidityType, String legalCertValidityType, String licenseBeginDate, String licenseEndDate, String legalCertNo, String legalCertBeginDate, String legalCertEndDate, String legalName) {
        this.reqDate = reqDate;
        this.reqSeqId = reqSeqId;
        this.huifuId = huifuId;
        this.legalCertType = legalCertType;
        this.licenseValidityType = licenseValidityType;
        this.legalCertValidityType = legalCertValidityType;
        this.licenseBeginDate = licenseBeginDate;
        this.licenseEndDate = licenseEndDate;
        this.legalCertNo = legalCertNo;
        this.legalCertBeginDate = legalCertBeginDate;
        this.legalCertEndDate = legalCertEndDate;
        this.legalName = legalName;
    }

    public V2UserBasicdataEntModifySubRequest() {
    }

    public String getLegalCertType() {
        return legalCertType;
    }

    public void setLegalCertType(String legalCertType) {
        this.legalCertType = legalCertType;
    }

    public String getLicenseValidityType() {
        return licenseValidityType;
    }

    public void setLicenseValidityType(String licenseValidityType) {
        this.licenseValidityType = licenseValidityType;
    }

    public String getLegalCertValidityType() {
        return legalCertValidityType;
    }

    public void setLegalCertValidityType(String legalCertValidityType) {
        this.legalCertValidityType = legalCertValidityType;
    }

    public String getReqDate() {
        return reqDate;
    }

    public void setReqDate(String reqDate) {
        this.reqDate = reqDate;
    }

    public String getReqSeqId() {
        return reqSeqId;
    }

    public void setReqSeqId(String reqSeqId) {
        this.reqSeqId = reqSeqId;
    }

    public String getHuifuId() {
        return huifuId;
    }

    public void setHuifuId(String huifuId) {
        this.huifuId = huifuId;
    }

    public String getLicenseBeginDate() {
        return licenseBeginDate;
    }

    public void setLicenseBeginDate(String licenseBeginDate) {
        this.licenseBeginDate = licenseBeginDate;
    }

    public String getLicenseEndDate() {
        return licenseEndDate;
    }

    public void setLicenseEndDate(String licenseEndDate) {
        this.licenseEndDate = licenseEndDate;
    }

    public String getLegalCertNo() {
        return legalCertNo;
    }

    public void setLegalCertNo(String legalCertNo) {
        this.legalCertNo = legalCertNo;
    }

    public String getLegalCertBeginDate() {
        return legalCertBeginDate;
    }

    public void setLegalCertBeginDate(String legalCertBeginDate) {
        this.legalCertBeginDate = legalCertBeginDate;
    }

    public String getLegalCertEndDate() {
        return legalCertEndDate;
    }

    public void setLegalCertEndDate(String legalCertEndDate) {
        this.legalCertEndDate = legalCertEndDate;
    }

    public String getLegalName() {
        return legalName;
    }

    public void setLegalName(String legalName) {
        this.legalName = legalName;
    }

    public FunctionCodeEnum getFunctionCode() {
        return FunctionCodeEnum.V2_USER_BASICDATA_ENT_MODIFY;
    }

}
